Ranking
Set rank
Set somebody’s rank in the Roblox group.
POST
/
v1
/
ranking
/
set
curl -X POST https://api.coveapp.cc/v1/ranking/set \
-H "Authorization: Bearer $COVE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"robloxId":"1234567","rank":5}'
{
"data": {}
}Needs the
ranking:write permission on a workspace key.string
required
Their Roblox user id.
integer
required
The rank number, 1 to 254.
string
Optional. Shown in the audit log.
curl -X POST https://api.coveapp.cc/v1/ranking/set \
-H "Authorization: Bearer $COVE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"robloxId":"1234567","rank":5}'
object
The result of the rank change.
Last modified on November 3, 2026
Was this page helpful?
⌘I
curl -X POST https://api.coveapp.cc/v1/ranking/set \
-H "Authorization: Bearer $COVE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"robloxId":"1234567","rank":5}'
{
"data": {}
}